Subject: Re: [PATCH 5/5] git-diff.txt: fix ordering of the [--no-index] form

From: Jonathan Nieder <[email-masked]>
Date: Wed, 24 Apr 2013 12:06:38 -0700

Ramkumar Ramachandra wrote:

>                                          The form is a special case of
> the first form where the number of paths are limited to two.  Besides,
> isn't that how the DESCRIPTION section explains it now?

Sort of.  It's a completely different form, but when --no-index is
left out the syntax is a special case of "git diff -- <path>...".

Maybe it would make sense to move towards eliminating the "implicit
--no-index for paths outside the repository" trick.  I use "git diff
--no-index" all the time, but I always spell it out to be careful.